package wekan.wrapper.entity;

import java.util.ArrayList;
import java.util.List;

public class ChecklistPrototype {
    private String title;
    private List<String> items;

    private ChecklistPrototype(String title, List<String> items) {
        this.title = title;
        this.items = items;
    }

    public static class Builder {
        private String title;
        private List<String> items;

        public Builder() {
            items = new ArrayList<>();
        }

        public ChecklistPrototype build() {
            return new ChecklistPrototype(
                    title,
                    items
            );
        }

        public Builder setTitle(String title) {
            this.title = title;
            return this;
        }

        public Builder addItems(String item) {
            items.add(item);
            return this;
        }
    }
}
